It's all about the answers!

Ask a question

RTC 2.0 Server SDK Download and Setup


David Weber (7611810) | asked Apr 29 '09, 12:49 p.m.
Referring to the wiki url: https://jazz.net/wiki/bin/view/Main/ServerSDKDownloadnSetup

Step #3 in the top section says 'Start your Eclipse IDE'. Can you update this page (and reply to this question) with information about what version of Eclipse this requires? And possibly which Eclipse Package to use? http://www.eclipse.org/downloads/ My best guess is "Eclipse for RCP/Plug-in Developers (176 MB)".

Thanks in advance,

Dave

2 answers



permanent link
David Weber (7611810) | answered Apr 30 '09, 11:29 a.m.
Hi Feng,

Nice to chat with you again!

I think you are correct in starting with a RTC Eclipse client. However, I think for the new SDK we should use a RTC v2.0 client, since we will be writing code targeted for the 2.0 release.

But even if we do that, the RTC client already has a 'Target Platform' configured. Step 4 of the SDK install document says to choose the JAZZ Foundation Server as the Target Platform. So my guess is that we will lose some RTC functionality in the IDE.

The SDK install doc is not clear.

permanent link
Feng Liu (511125) | answered Apr 29 '09, 11:10 p.m.
Hi Dave,

Long time no talk to you :)

I think you can leverage the Eclipse included in the RTC client, i.e., the Eclipse in RTC v1.0.1, as the development environment for the server SDK.

I've set up the DEV environment for the server SDK using RTC v1.0.1, and I guess maybe any version of the RTC Eclipse client can work well for this requirement.

Your answer


Register or to post your answer.


Dashboards and work items are no longer publicly available, so some links may be invalid. We now provide similar information through other means. Learn more here.